### Signal

# WebKit WebView::load-failed-with-tls-errors

since: 2.6

#### Declaration

    gboolean
    load_failed_with_tls_errors (
      WebKitWebView* self,
      gchar* failing_uri,
      GTlsCertificate* certificate,
      GTlsCertificateFlags errors,
      gpointer user_data
    )

#### Description [src]

Emitted when a TLS error occurs during a load operation. To allow an exception for this `certificate` and the host of `failing_uri` use webkit_web_context_allow_tls_certificate_for_host().

To handle this signal asynchronously you should call `g_object_ref()` on `certificate` and return `TRUE`.

If `FALSE` is returned, `WebKitWebView::load-failed` will be emitted. The load will finish regardless of the returned value.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.6

#### Parameters

`failing_uri`

  Type: `gchar*`

  The URI that failed to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`certificate`

  Type: `GTlsCertificate`

  A `GTlsCertificate`.

  The data is owned by the caller of the function.

`errors`

  Type: `GTlsCertificateFlags`

  A `GTlsCertificateFlags` with the verification status of `certificate`.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.